Name:           newlisp
Version:        10.3.3
Release:        2%{?dist}
Summary:        Lisp-like general purpose scripting

License:        GPLv3+
URL:            http://www.newlisp.org
Source0:        http://www.newlisp.org/downloads/%{name}-%{version}.tgz

Patch2:         newlisp-0002-Allow-to-override-CFLAGS.patch
Patch3:         newlisp-0003-Don-t-strip-the-resulting-binary.patch
BuildRequires:  readline-devel  
       

%description
Lisp-like general purpose scripting language. %{name} is well suited for 
applications in AI, web search. It also can be used for embedded systems
applications.

%prep
%setup -q

# Allow to override CFLAGS (Fedora-specific mostly)
%patch2 -p1 -b .override_cflags
# Don't strip the resulting binary (Fedora-specific)
%patch3 -p1 -b .dont_strip


%build
%configure
# -pedantic -Wno-strict-aliasing -Wno-long-long
CFLAGS="%{optflags} -c -DREADLINE -DSUPPORT_UTF8 -DLINUX" make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install_home HOME=%{buildroot}/usr/


%files
%doc %{_datadir}/doc/*
%doc %{_datadir}/%{name}/init.lsp.example
%{_bindir}/%{name}
%{_bindir}/newlispdoc
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/util/httpd-conf.lsp
%{_datadir}/%{name}/util/link.lsp
%{_datadir}/%{name}/util/nanorc
%{_datadir}/%{name}/util/%{name}.vim
%attr(0755,-,-) %{_datadir}/%{name}/util/syntax.cgi



%changelog
* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject.org> 10.3.3-2
- Removed no longer needed sed to remove shebang

* Tue Oct 08 2011 Nathan Owe <ndowens at fedoraproject.org> 10.3.3-1
- Updated Email address in SPEC
- Fixed file listed twice in %%files
- Package updated to the latest stable version

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-3
- Updated License field to the correct license

* Sun Jul 24 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-2
- Added fixed Man page from SCM 

* Thu Jul 21 2011 Nathan Owe <ndowens04 at yahoo.com> 10.3.2-1
- Initial package
